Subject: Re: [net PATCH v3] octeontx2-af: Fix CPT AF register offset calculation

From: Simon Horman <[email-masked]>
Date: Wed, 21 Aug 2024 16:00:50 +0100

On Wed, Aug 21, 2024 at 12:35:58PM +0530, Bharat Bhushan wrote:
> Some CPT AF registers are per LF and others are global. Translation
> of PF/VF local LF slot number to actual LF slot number is required
> only for accessing perf LF registers. CPT AF global registers access
> do not require any LF slot number. Also, there is no reason CPT
> PF/VF to know actual lf's register offset.
> 
> Without this fix microcode loading will fail, VFs cannot be created
> and hardware is not usable.
> 
> Fixes: bc35e28af789 ("octeontx2-af: replace cpt slot with lf id on reg write")
> Signed-off-by: Bharat Bhushan <[email-masked]>
> ---
> v3:
>   - Updated patch description about what's broken without this fix
>   - Added patch history
> 
> v2: https://lore.kernel.org/netdev/[email-masked]/T/
>   - Spelling fixes in patch description
> 
> v1: https://lore.kernel.org/lkml/[email-masked]/T/
>   - Added "net" in patch subject prefix, missed in previous patch:
>     https://lore.kernel.org/lkml/[email-masked]/
> 

Thanks for the updates, and the information below the scissors ('---').

Reviewed-by: Simon Horman <[email-masked]>